import request from '@/utils/request'

export function getOtherPage(data) {
  return request({
    url: '/js-other-produce/page',
    method: 'get',
    params: data
  })
}

export function getOtherList(data) {
  return request({
    url: '/js-other-produce/list',
    method: 'post',
    data: data
  })
}

export function getOtherDetail(data) {
  return  request({
    url: '/js-other-produce/listById',
    method: 'post',
    data: data
  })
}

export function addOtherPage(data) {
  return request({
    url: '/js-other-produce/add',
    method: 'post',
    data: data
  })
}

export function editOtherPage(data) {
  return request({
    url: '/js-other-produce/edit',
    method: 'post',
    data: data
  })
}

export function delOtherPage(data) {
  return request({
    url: '/js-other-produce/delete',
    method: 'post',
    data: data
  })
}
